// Copyright (c) 2010 Robert V Mahoney Jr
// 
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
// Slightly mucked up by KurtE to work with my library...

#ifndef _SI2C_DEFINED_
#define _SI2C_DEFINED_
#ifdef __cplusplus
extern "C"
{
#endif

void SI2CInitialize (u8 _bPinSDA, u8 _bPinSCL);
u8 SI2CRead (u8 _bPinSDA, u8 _bPinSCL, u8 _bDeviceAddr, u8 _bAddressType, u16 _wIOAddress, u8 *_pbData, u16 _wReadCount);
void SI2CTerminate (u8 _bPinSDA, u8 _bPinSCL);
u8 SI2CWrite (u8 _bPinSDA, u8 _bPinSCL, u8 _bDeviceAddr, u8 _bAddressType, u16 _wIOAddress, u8 *_pbData, u16 _wWriteCount);
#ifdef __cplusplus
}
#endif
#endif
