#include "globals.h"
#include "diyxbee.h"

int main(void)
{
	enable();	// make sure interrupts are enabled
	// First lets init the xbee...
	DBGPrintf("\r\rBefore InitXBee\r");
	InitXBee(_S_HSERIAL_, _S_HSERIAL_, /*P7*/0xff, 62500);
	DBGPrintf("After InitXBee\r");

	output(P4);
	output(P5);
	output(P6);
	
	high(P4);
	high(P5);
	high(P6);

	//user main program code here
	while (1)
	{
		// start off simple and see if we can use our serial functions to see if we can
		// get back something from the xbee...'
		word wMy = GetXBeeMY();
		DBGPrintf("XBee My: %x\r", wMy);
		pause(500);
	}
	return 0;
}
